Closed Bug 350712 Opened 16 years ago Closed 12 years ago

Iteration in catchguard causes "undefined" exception

Categories

(Core :: JavaScript Engine, defect)

PowerPC
macOS
defect
Not set
normal

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: jruderman, Unassigned)

Details

(Keywords: testcase)

function ii() { for (var i in []); } 

try { 
  try{
    throw 5;
  } catch(ex if ii()) {
  }
} catch(er) { 
  alert(er) 
}

Result: alert saying "undefined".

Expected: no alert.
This is not an bug, as ii always returns undefined, which is coerces to false. So the the error won't be caught and propagated to the outer try..catch block.
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → INVALID
Oh but the error "undefined" is indeed a bug, which has been fixed. We now get '5';
Resolution: INVALID → WORKSFORME
Flags: in-testsuite+
You need to log in before you can comment on or make changes to this bug.